| AngelScript |

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
asIJITCompiler Class Referenceabstract

The interface that AS use to interact with the JIT compiler. More...

## Public Member Functions
virtual int | CompileFunction (asIScriptFunction *function, asJITFunction *output)=0
| Called by AngelScript to begin the compilation. More...
virtual void | ReleaseJITFunction (asJITFunction func)=0
| Called by AngelScript when the JIT function is released. More...

## Detailed Description

This is the minimal interface that the JIT compiler must implement so that AngelScript can request the compilation of the script functions.

See Also
  How to build a JIT compiler

## Member Function Documentation

virtual int asIJITCompiler::CompileFunction | ( | asIScriptFunction * | function,
|  | asJITFunction * | output
| ) |  |
| pure virtual

Parameters

  [in] | function | A pointer to the script function
  [out] | output | The JIT compiled function

Returns
  A negative value on error.

AngelScript will call this function to request the compilation of a script function. The JIT compiler should produce the native machine code representation of the function and update the JitEntry instructions in the byte code to allow the VM to transfer the control to the JIT compiled function.

virtual void asIJITCompiler::ReleaseJITFunction | ( | asJITFunction | func | ) |
| pure virtual

Parameters

  [in] | func | Pointer to the JIT function

The documentation for this class was generated from the following file:

- angelscript.h